'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});
exports.watchFileStructure = watchFileStructure;

var _lodash = require('lodash.debounce');

var _lodash2 = _interopRequireDefault(_lodash);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

// Constants:
var CHANGE_DEBOUNCE_TIME = 100;

// Dependencies:
function watchFileStructure(fileStructure, sockets) {
    fileStructure.watcher = fileStructure.watcher || fileStructure.watch();
    fileStructure.watcher.on('change', (0, _lodash2.default)(function () {
        sockets.emit('file-structure-change');
    }), CHANGE_DEBOUNCE_TIME);
}